﻿@model LoginViewModel
@{
    ViewBag.Title = "ورود";
}

@section head{
    <script src="https://www.google.com/recaptcha/api.js?hl=fa&onload=onloadCallback&render=explicit" async defer></script>
}

<div class="container">
    <div class="row mt-3">
        <div class="col-12">
            <h4 class="page-title"><span>خوش برگشتید!</span></h4>
        </div>
        <div class="col-md-6">
            <div class="card">
                <div class="card-body">
                    <div class="card-block">
                        <h5 class="card-title">ورود به حساب</h5><hr />
                        <section class="loginForm" id="loginForm">
                            @using (Html.BeginForm("Login", "Account", new { ReturnUrl = ViewBag.ReturnUrl }, FormMethod.Post, new { @class = "form-horizontal", role = "form" }))
                            {
                                @Html.AntiForgeryToken()
                                @Html.ValidationSummary(true, "", new { @class = "text-danger" })
                                <div class="form-group">
                                    @Html.LabelFor(m => m.EmailOrPhoneNumberOrUsername)
                                    <div class="input-group input-group-merge">
                                        <div class="input-group-prepend">
                                            <span class="input-group-text"><i class="far fa-user"></i></span>
                                        </div>
                                        @Html.TextBoxFor(m => m.EmailOrPhoneNumberOrUsername, new { @class = "form-control", placeholder = "ایمیل، شماره موبایل یا نام کاربری" })
                                    </div>
                                    @Html.ValidationMessageFor(m => m.EmailOrPhoneNumberOrUsername, "", new { @class = "text-danger" })
                                </div>
                                <div class="form-group">
                                    @Html.LabelFor(m => m.Password)
                                    <div class="input-group input-group-merge">
                                        <div class="input-group-prepend">
                                            <span class="input-group-text"><i class="far fa-key"></i></span>
                                        </div>
                                        @Html.PasswordFor(m => m.Password, new { @class = "form-control", placeholder = "کلمه عبور" })
                                    </div>
                                    @Html.ValidationMessageFor(m => m.Password, "", new { @class = "text-danger" })
                                </div>
                                <div id="recaptchaDiv" class="g-recaptcha" data-sitekey="6LflMzoUAAAAANbJkWt7aYXbypaZSgmfJrvWsfmw"></div>
                                <div class="form-group">
                                    <div class="custom-control custom-checkbox">
                                        @Html.CheckBoxFor(p => p.RememberMe, new { @class = "custom-control-input" })
                                        @Html.LabelFor(p => p.RememberMe, new { @class = "custom-control-label" })
                                    </div>
                                </div>
                                <div class="form-group">
                                    <button class="btn btn-block btn-lg btn-primary" type="submit">
                                        ورود
                                    </button>
                                </div>
                                <p>
                                    @if (ViewBag.ReturnUrl != null)
                                    {
                                        @Html.ActionLink("ایجاد حساب کاربری", "Register", new { ReturnUrl = ViewBag.ReturnUrl })
                                    }
                                    else
                                    {
                                        @Html.ActionLink("ایجاد حساب کاربری", "Register")
                                    }
                                </p>
                                <p>
                                    @Html.ActionLink("کلمه عبور خود را فراموش کرده ام.", "ForgotPassword")
                                </p>
                            }
                        </section>
                        <hr />
                        <section id="socialLoginForm">
                            @Html.Partial("_ExternalLoginsListPartial", new ExternalLoginListViewModel { ReturnUrl = ViewBag.ReturnUrl })
                        </section>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-md-6">
            <h5 class="mt-4">امکانات حساب کاربری</h5>
            <hr />
            <ul class="custom-list">
                <li><span class="fa fa-bell"></span> ارسال پیامک و ایمیل هشدار قیمت</li>
                @*<li><span class="fa fa-list"></span> پیگیری سفارش های انجام شده</li>
                    <li><span class="fa fa-history"></span> امکان مشاهده گزارش تراکنش های قبلی</li>
                    <li><span class="fa fa-tag"></span> دریافت تخفیف نرخ تبدیل</li>
                    <li><span class="fa fa-clock-o"></span> صرفه جویی در زمان مبادله</li>
                    <li><span class="fa fa-lock"></span> امنیت بیشتر در انجام تراکنش</li>*@
            </ul>
        </div>
    </div>
</div>

@section Scripts {
    @Scripts.Render("~/js/jqueryval")
    <script>
        function onloadCallback() {
            $('input[type="submit"]').removeAttr('disabled');
            grecaptcha.render('recaptchaDiv');
        }
    </script>
}
